package cn.ibizlab.assetmanagement.core.workorder.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.assetmanagement.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.assetmanagement.core.workorder.domain.WOOrigin;
/**
 * 关系型数据实体[WOOrigin] 查询条件对象
 */
@Slf4j
@Data
public class WOOriginSearchContext extends QueryWrapperContext<WOOrigin> {

	private String n_eamwooriginname_like;//[工单来源名称]
	public void setN_eamwooriginname_like(String n_eamwooriginname_like) {
        this.n_eamwooriginname_like = n_eamwooriginname_like;
        if(!ObjectUtils.isEmpty(this.n_eamwooriginname_like)){
            this.getSearchCond().like("eamwooriginname", n_eamwooriginname_like);
        }
    }
	private String n_eamwoorigintype_eq;//[工单来源类型]
	public void setN_eamwoorigintype_eq(String n_eamwoorigintype_eq) {
        this.n_eamwoorigintype_eq = n_eamwoorigintype_eq;
        if(!ObjectUtils.isEmpty(this.n_eamwoorigintype_eq)){
            this.getSearchCond().eq("eamwoorigintype", n_eamwoorigintype_eq);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("eamwooriginname", query)   
            );
		 }
	}
}



